/* eslint-disable import/prefer-default-export */
import Vue from "vue";
import Router from "vue-router";

import Home from "../components/shared/home.vue";

import Registration from "../components/accounts/register.vue";
import Login from "../components/accounts/login.vue";
import RegisterRestaurant from "../components/accounts/restaurantRegistration.vue";
import RegistrationPage from "../components/accounts/registrationPage.vue";
import RestaurantCategory from "../components/restaurants/restaurantCategories.vue";
import RestaurantSearch from "../components/home/restaurantSearch.vue";
import RestuarantList from "../components/restaurants/restaurantList.vue";
import Restaurant from "../components/restaurants/restaurantDetails.vue";
import CustomerDetails from "../components/customer/customerDetails.vue";
import CustomerOrders from "../components/customer/customerOrders.vue";
import CustomerList from "../components/customer/customerList.vue";
import RestaurantMenuCategories from "../components/restaurants/restaurantMenuCategories.vue";
import RestaurantMenu from "../components/restaurants/restaurantMenu.vue";
import RestaurantMenuOptions from "../components/restaurants/restaurantMenuOptions.vue";
import RestaurantMenuOption from "../components/restaurants/restaurantMenuOption.vue";
import RestaurantMenuItem from "../components/restaurants/restaurantMenuItem.vue"
import RestaurantMenuItemOptions from "../components/restaurants/restaurantMenuItemOptions.vue";
import MenuItems from "../components/home/menuItems.vue";
import Cart from "../components/orders/cart.vue";
import RestaurantUsers from "../components/restaurants/restaurantUsers.vue";
import RestaurantRoles from "../components/restaurants/restaurantRoles.vue";
import RestaurantRole from "../components/restaurants/restaurantRole.vue";

Vue.use(Router);

export default new Router({
  // eslint-disable-next-line no-unused-vars
  scrollBehavior(to, from, savedPosition) {
    return {
      x: 0,
      y: 0
    };
  },
  routes: [{
      path: "/",
      name: "Home",
      component: Home
    },
    {
      path: "/Registration",
      name: "Registration",
      component: Registration
    },
    {
      path: "/Login",
      name: "Login",
      component: Login
    },
    {
      path: "/RegisterRestaurant",
      name: "RegisterRestaurant",
      component: RegisterRestaurant
    },
    {
      path: "/RegistrationPage",
      name: "RegistrationPage",
      component: RegistrationPage
    },
    {
      path: "/RestaurantCategory",
      name: "RestaurantCategory",
      component: RestaurantCategory
    },
    {
      path: "/search",
      name: "RestaurantSearch",
      component: RestaurantSearch
    },
    {
      path: "/MyDetails",
      name: "MyDetails",
      component: CustomerDetails
    },
    {
      path: "/MyOrders",
      name: "MyOrders",
      component: CustomerOrders
    },
    {
      path: "/RestuarantList",
      name: "RestuarantList",
      component: RestuarantList
    },
    {
      path: "/CustomerList",
      name: "CustomerList",
      component: CustomerList
    },
    {
      path: "/Restaurant",
      name: "Restaurant",
      component: Restaurant
    },
    {
      path: "/MenuCategory",
      name: "MenuCategory",
      component: RestaurantMenuCategories
    },
    {
      path: "/RestaurantMenu",
      name: "RestaurantMenu",
      component: RestaurantMenu
    },
    {
      path: "/MenuOptions",
      name: "MenuOptions",
      component: RestaurantMenuOptions
    },
    {
      path: "/MenuOption/:optionid",
      name: "MenuOption",
      component: RestaurantMenuOption
    },
    {
      path: "/ItemOption",
      name: "ItemOption",
      component: RestaurantMenuItemOptions
    },
    {
      path: "/MenuItem/:itemid",
      name: "MenuItem",
      component: RestaurantMenuItem
    },
    {
      path: "/Menu/:restautantid",
      name: "MenuItems",
      component: MenuItems
    },
    {
      path: "/Cart",
      name: "Cart",
      component: Cart
    },
    {
      path: "/RestaurantUsers",
      name: "RestaurantUsers",
      component: RestaurantUsers
    },
    {
      path: "/RestaurantRoles",
      name: "RestaurantRoles",
      component: RestaurantRoles
    },
    {
      path: "/RestaurantRole/:id",
      name: "RestaurantRole",
      component: RestaurantRole
    }
  ]
});
